Bug 20759 - [XV Q965] tearing with XVideo
Summary: [XV Q965] tearing with XVideo
Status: VERIFIED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: haihao
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-19 19:47 UTC by Shuang He
Modified: 2009-04-07 19:38 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Shuang He 2009-03-19 19:47:31 UTC
System Environment:
--------------------------
Kernel_version:         2.6.29-rc7
Libdrm:         (master)2e2e8575b1ed4703653a72ac2b60b75316c388d7
Mesa:            (mesa_7_4_branch)a8528a2e8653b5237c1d1d66fe98c6e031d007f9
Xserver:         (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:      (2.7)238c2c40afd9f8b61479b8640d53f20d52fd7ddf
Kernel:       (for-airlied)dc529a4fe1ae4667c819437a94185e8581e1e680


Bug detailed description:
-------------------------
just play video with XVideo can see the tearing
This issue happens on Q965, we don't see this on 945GM, or GM45


reproduce steps:
------------------------
xinit &
mplayer -vo xv mediafile
Comment 1 haihao 2009-04-06 18:25:52 UTC
It should be fixed by this commit.

commit bc3312fd7c03d09a231dfebfe390fe668ad15d1e
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Apr 6 11:16:40 2009 -0700

    Use WAIT_FOR_SCAN_LINE instead of WAIT_FOR_VBLANK
Comment 2 Shuang He 2009-04-07 00:14:59 UTC
(In reply to comment #1)
> It should be fixed by this commit.
> 
> commit bc3312fd7c03d09a231dfebfe390fe668ad15d1e
> Author: Carl Worth <cworth@cworth.org>
> Date:   Mon Apr 6 11:16:40 2009 -0700
> 
>     Use WAIT_FOR_SCAN_LINE instead of WAIT_FOR_VBLANK
> 

This issue still exists, for more infomation, check bug #21076
Comment 3 Shuang He 2009-04-07 00:29:27 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > It should be fixed by this commit.
> > 
> > commit bc3312fd7c03d09a231dfebfe390fe668ad15d1e
> > Author: Carl Worth <cworth@cworth.org>
> > Date:   Mon Apr 6 11:16:40 2009 -0700
> > 
> >     Use WAIT_FOR_SCAN_LINE instead of WAIT_FOR_VBLANK
> > 
> 
> This issue still exists, for more infomation, check bug #21076
> 

This issue is gone with patch in bug #21076:

diff --git a/src/i810_reg.h b/src/i810_reg.h
index c964569..5211400 100644
--- a/src/i810_reg.h
+++ b/src/i810_reg.h
@@ -2442,7 +2442,7 @@ SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 #define MI_WAIT_FOR_PIPEB_VBLANK               (1<<7)
 #define MI_WAIT_FOR_PIPEB_SCAN_LINE_WINDOW     (1<<5)
 #define MI_WAIT_FOR_PIPEA_VBLANK               (1<<3)
-#define MI_WAIT_FOR_PIPEA_SCAN_LINE_WINDOW     (1<<2)
+#define MI_WAIT_FOR_PIPEA_SCAN_LINE_WINDOW     (1<<1)

 /* Set the scan line for MI_WAIT_FOR_PIPE?_SCAN_LINE_WINDOW */
 #define MI_LOAD_SCAN_LINES_INCL      
Comment 4 Shuang He 2009-04-07 19:34:04 UTC
This issue is gone with latest xf86-video-intel
Comment 5 Shuang He 2009-04-07 19:38:16 UTC
verified against:
Kernel_version:         2.6.29.1
Libdrm:                (master)1faab66cfd1a854925da6ff7109aa614292dea90
Mesa:           (mesa_7_4_branch)de197cf991416f0cd65ad2e2d2ca9aa599b52075
Xserver:                (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:               (2.7)404fdcc5bc9dd32d39112d8a49a5617dbb886a40


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.